## debsbom 0.6.2

=== docs/Makefile ===
# Copyright (C) 2025 Siemens
#
# SPDX-License-Identifier: MIT
#
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= python3 -m sphinx
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

.PHONY: man
man:
	$(SPHINXBUILD) -M $@ -t man "$(SOURCEDIR)" "$(BUILDDIR)/man" $(SPHINXOPTS) $(O)
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## debsbom 0.6.1

=== debian/changelog ===
debsbom (0.6.1-1) unstable; urgency=medium

  * Initial release (Closes: #1122577)

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Wed, 28 Jan 2026 08:40:57 +0100

=== debian/control ===
Source: debsbom
Section: python
Priority: optional
Maintainer: Felix Moessbauer <felix.moessbauer@siemens.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 bash-completion,
 black,
 python3-all,
 python3-apt (>= 2.6.0),
 python3-beartype (>= 0.20),
 python3-cyclonedx-lib (>= 9.0.0),
 python3-debian (>= 0.1.49),
 python3-docutils,
 python3-jsonschema (>= 3.2),
 python3-license-expression (>= 3.0.0),
 python3-lz4,
 python3-packageurl (>= 0.16.0),
 python3-pytest (>= 6.0),
 python3-pytest-cov (>= 5.0),
 pybuild-plugin-pyproject,
 python3-requests (>= 2.25.1),
 python3-setuptools,
 python3-shtab,
 python3-sphinx,
 python3-sphinx-argparse (>= 0.2.1),
 python3-sphinx-autodoc-typehints (>= 2.0.0),
 python3-sphinx-rtd-theme (>= 2.0.0),
 python3-zstandard (>= 0.20),
Standards-Version: 4.7.3
Homepage: https://github.com/siemens/debsbom
Vcs-Browser: https://github.com/siemens/debsbom
Vcs-Git: https://github.com/siemens/debsbom -b main
Testsuite: autopkgtest-pkg-pybuild
X-Python3-Version: >= 3.11

Package: debsbom
Architecture: all
Depends:
 python3-debian (>= 0.1.49),
 ${python3:Depends},
 ${misc:Depends},
Recommends:
 python3-cyclonedx-lib (>= 9.0.0),
 python3-spdx-tools (>= 0.8.0),
 python-debsbom-doc,
Description: SBOM generator for Debian-based distributions (tool)
 debsbom generates SBOMs (Software Bill of Materials) for distributions based on
 Debian in the two standard formats SPDX and CycloneDX.
 .
 The generated SBOM includes all installed binary packages and also contains
 Debian Source packages.
 .
 This package contains the debsbom CLI.

Package: python-debsbom-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Built-Using:
 ${sphinxdoc:Built-Using},
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 debsbom,
Description: SBOM generator for Debian-based distributions (documentation)
 debsbom generates SBOMs (Software Bill of Materials) for distributions based on
 Debian in the two standard formats SPDX and CycloneDX.
 .
 The generated SBOM includes all installed binary packages and also contains
 Debian Source packages.
 .
 This package contains the documentation for debsbom.

=== debian/watch ===
Version: 5

Source: https://github.com/siemens/debsbom.git
Matching-Pattern: refs/tags/v([\d\.]+)
Mode: git
Pgpmode: gittag

## debsbom 0.6.2

=== debian/changelog ===
debsbom (0.6.2-2) unstable; urgency=medium

  * Make d/control Vcs fields point to the debian packaging
  * debian: add recommendation for python3-apt
  * debian: add upstream/metadata
  * debian: provide debian package name in error message

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Mon, 02 Mar 2026 11:11:08 +0100

debsbom (0.6.2-1) unstable; urgency=medium

  * Initial release (Closes: #1122577)

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Tue, 10 Feb 2026 11:00:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: debsbom
 Section: python
-Priority: optional
-Maintainer: Felix Moessbauer <felix.moessbauer@siemens.com>
-Rules-Requires-Root: no
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Felix Moessbauer <felix.moessbauer@siemens.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  bash-completion,
- black,
  python3-all,
  python3-apt (>= 2.6.0),
- python3-beartype (>= 0.20),
+ python3-beartype (>= 0.20) <!nocheck>,
  python3-cyclonedx-lib (>= 9.0.0),
  python3-debian (>= 0.1.49),
  python3-docutils,
@@ -18,8 +16,8 @@
  python3-license-expression (>= 3.0.0),
  python3-lz4,
  python3-packageurl (>= 0.16.0),
- python3-pytest (>= 6.0),
- python3-pytest-cov (>= 5.0),
+ python3-pytest (>= 6.0) <!nocheck>,
+ python3-pytest-cov (>= 5.0) <!nocheck>,
  pybuild-plugin-pyproject,
  python3-requests (>= 2.25.1),
  python3-setuptools,
@@ -31,8 +29,8 @@
  python3-zstandard (>= 0.20),
 Standards-Version: 4.7.3
 Homepage: https://github.com/siemens/debsbom
-Vcs-Browser: https://github.com/siemens/debsbom
-Vcs-Git: https://github.com/siemens/debsbom -b main
+Vcs-Browser: https://salsa.debian.org/python-team/packages/debsbom/
+Vcs-Git: https://salsa.debian.org/python-team/packages/debsbom.git -b debian/latest
 Testsuite: autopkgtest-pkg-pybuild
 X-Python3-Version: >= 3.11
 
@@ -45,6 +43,7 @@
 Recommends:
  python3-cyclonedx-lib (>= 9.0.0),
  python3-spdx-tools (>= 0.8.0),
+ python3-apt,
  python-debsbom-doc,
 Description: SBOM generator for Debian-based distributions (tool)
  debsbom generates SBOMs (Software Bill of Materials) for distributions based on

=== debian/watch ===
Version: 5

Source: https://github.com/siemens/debsbom.git
Matching-Pattern: refs/tags/v([\d\.]+)
Mode: git
Pgpmode: none
